'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../utils/index.js');
var table = require('../table/src/table.js');
require('../table/src/tableColumn.js');
var mgPagination = require('../mg-pagination/src/mg-pagination2.js');
var mgTable$1 = require('./src/mg-table2.js');
var mgTable = require('./src/mg-table.js');
var constant = require('./src/constant.js');
var install = require('../../utils/vue/install.js');
var index = require('../table/src/table-column/index.js');

const MgTable = install.withInstall(mgTable$1["default"], {
  ElTable: table["default"],
  ElTableColumn: index["default"],
  MgPagination: mgPagination["default"]
});

exports.mgTableProps = mgTable.mgTableProps;
exports.mgTableBorderTypes = constant.mgTableBorderTypes;
exports.MgTable = MgTable;
exports["default"] = MgTable;
//# sourceMappingURL=index.js.map
