import '../../utils/index.mjs';
import ElTable from '../table/src/table.mjs';
import '../table/src/tableColumn.mjs';
import MgPagination from '../mg-pagination/src/mg-pagination2.mjs';
import MyTable from './src/mg-table2.mjs';
export { mgTableProps } from './src/mg-table.mjs';
export { mgTableBorderTypes } from './src/constant.mjs';
import { withInstall } from '../../utils/vue/install.mjs';
import ElTableColumn from '../table/src/table-column/index.mjs';

const MgTable = withInstall(MyTable, {
  ElTable,
  ElTableColumn,
  MgPagination
});

export { MgTable, MgTable as default };
//# sourceMappingURL=index.mjs.map
