import type { PropType } from 'vue';
export declare const mgTableBorderTypes: readonly ["default", "outer", "full"];
interface MgTableConfig {
    prop: string;
    label: string;
    width?: string;
    slotKey?: string;
}
interface MgTablePageConfig {
    total: number;
}
declare const _default: {
    borderType: {
        type: StringConstructor;
        values: readonly ["default", "outer", "full"];
        default: string;
    };
    cfg: {
        type: PropType<MgTableConfig[]>;
        default: () => never[];
    };
    pageCfg: {
        type: PropType<MgTablePageConfig>;
        default(): {
            total: number;
        };
    };
};
export default _default;
export type { MgTableConfig, MgTablePageConfig };
